FREEFOAM-MERGEORSPLITBAFFLES(1)

NAME
freefoam-mergeOrSplitBaffles - Detects faces that share points (baffles). Either merge them or duplicate the points.

SYNOPSIS

freefoam mergeOrSplitBaffles [-split] [-help] [-srcDoc] [-doc] [-overwrite] [-parallel] [-case <dir>] [-detectOnly]

DESCRIPTION

TODO write detailed description

OPTIONS

-split
    Split duplicate surfaces.

-overwrite
    Overwrite existing data.

-detectOnly
    Do no processing.

-case <dir>
    Case directory.

-parallel
    Run in parallel.

-help
    Display help message.

-doc
    Display Doxygen API documentation page for this application.

-srcDoc
    Display Doxygen source documentation page for this application.

NOTE

    • can only handle pairwise boundary faces. So three faces using the same points is not handled (is illegal mesh anyway)

    • there is no option to only split/merge some baffles.

    • surfaces consisting of duplicate faces can be topologically split if the points on the interior of the surface cannot walk to all the cells that use them in one go.

    • Parallel operation (where duplicate face is perpendicular to a coupled boundary) is supported but not really tested. (Note that coupled faces themselves are not seen as duplicate faces)

SEE ALSO

An overview of FreeFOAM is given in freefoam(1).

AUTHOR

OpenCFD Ltd.

FREEFOAM

Part of the freefoam(1) suite.

COPYRIGHT

    • Copyright © 2008-2012 Michael Wild.

    • Copyright © 1991-2010 OpenCFD Ltd.